using System.Collections.Generic;

namespace ZionRobot.Models.Workflow.Input
{
    public class Settings
    {
        public List<Models.Workflow.Components.Configuration> Configurations;

        public Settings(System.Xml.XmlNode node)
        {
            Configurations = new List<Models.Workflow.Components.Configuration>();
            foreach (System.Xml.XmlNode n in node.SelectNodes(@"Configuration"))
            {
                Configurations.Add(new Models.Workflow.Components.Configuration(n));
            }
        }
    }
}
